Skip to content

Provider Settings

View or update the provider record and provider preferences.

GET /me

Fetch the authenticated provider’s details.

Returns 200 with these fields in data:

FieldType
idstring
namestring
statestring
lgastring
addressstring
phone_numberstring
dial_codestring
api_keystring
test_api_keystring
low_balance_thresholdnumber
provider_wallet_auto_debitboolean
created_atstring
updated_atstring

Errors: 401 unauthorized.

POST /me/token

Refresh the provider’s API token.

Returns 200 with these fields in data:

FieldType
idstring
namestring
statestring
lgastring
addressstring
phone_numberstring
dial_codestring
api_keystring
test_api_keystring
low_balance_thresholdnumber
provider_wallet_auto_debitboolean
created_atstring
updated_atstring

Errors: 401 unauthorized.

PUT /edit

Edit provider information.

Inputs

LocationFieldTypeRequired
bodyphone_numberstringNo
bodyfirst_namestringNo
bodylast_namestringNo
bodynamestringNo
bodyaddressstringNo
bodyemailstringNo

Example

PUT https://dispensaryapi.famasi.africa/api/v1/providers/edit

Returns 200 with these fields:

FieldType
edited_providerobject

Errors: 400 invalid input, 500 internal server error.

Upload a logo for a provider.

Inputs

LocationFieldTypeRequired
bodyfilestringNo

Example

POST https://dispensaryapi.famasi.africa/api/v1/providers/upload_logo

Returns 200 with these fields:

FieldType
providerobject

Errors: 400 no file uploaded.

POST /update-payment-type

Update the preferred payment type for a provider.

Inputs

LocationFieldTypeRequired
bodypreferred_payment_typestringNo

Example

POST https://dispensaryapi.famasi.africa/api/v1/providers/update-payment-type

Returns 200 with these fields in data:

FieldType
idstring
namestring
statestring
lgastring
addressstring
phone_numberstring
dial_codestring
api_keystring
test_api_keystring
low_balance_thresholdnumber
provider_wallet_auto_debitboolean
created_atstring
updated_atstring

Errors: 500 internal server error.

POST /set-low-balance-threshold

Set the low wallet balance threshold for a provider.

Inputs

LocationFieldTypeRequired
bodythresholdnumberNo

Example

POST https://dispensaryapi.famasi.africa/api/v1/providers/set-low-balance-threshold

Returns 200 with these fields in data:

FieldType
idstring
namestring
statestring
lgastring
addressstring
phone_numberstring
dial_codestring
api_keystring
test_api_keystring
low_balance_thresholdnumber
provider_wallet_auto_debitboolean
created_atstring
updated_atstring

Errors: 500 internal server error.

POST /toggle-auto-debit

Toggle auto-debit functionality for a provider.

Inputs

LocationFieldTypeRequired
bodyenablebooleanNo

Example

POST https://dispensaryapi.famasi.africa/api/v1/providers/toggle-auto-debit

Returns 200 with these fields in data:

FieldType
idstring
namestring
statestring
lgastring
addressstring
phone_numberstring
dial_codestring
api_keystring
test_api_keystring
low_balance_thresholdnumber
provider_wallet_auto_debitboolean
created_atstring
updated_atstring

Errors: 500 internal server error.

Authentication

Send a provider API key as x-api-key. Provider API keys →